function  Js0451sky()
{
   var s, info, t, a, b, ad;

   ad = "〖学校教务管理系统提示您！〗\n";
   info = ad + "您确实要修改信息吗?";

   // #################################################################
   s = document.getElementById("TextBox1");
   if(s.value == "")
   {
      window.alert(ad + "后台Logo地址不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TextBox2");
   if(s.value == "")
   {
      window.alert(ad + "后台Logo连接地址不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TextBox3");
   if(s.value == "")
   {
      window.alert(ad + "后台软件名称不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TextBox4");
   if(s.value == "")
   {
      window.alert(ad + "后台提示信息不能为空！");
      s.focus();
      return false;
   }
   // #################################################################
   s = document.getElementById("TextBox5");
   if(s.value == "")
   {
      window.alert(ad + "后台帮助信息不能为空！");
      s.focus();
      return false;
   }
   if(confirm(info))
   {
      return true;
   }
   else
   {
      return false;
   }
}
// -------------------------------------
function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-.";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}

function isValidEmailAddress( strEmail )
{
   var i, strDomain, cChar;
   var nDotCount = 0;
   var bFindAlpha = false;
   var bLastIsDot = false;
   var strValid = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_.";

   if( strEmail == "" ) return false;
   i = strEmail.indexOf( "@" );
   if( i == - 1 || i == 0 || i == strEmail.length - 1 ) return false;
   strDomain = strEmail.substring( i + 1, strEmail.length );

   if( strDomain.indexOf( "@" ) != - 1 ) return false;
   if( strDomain.charAt( 0 ) == "." ) return false;
   if( strDomain.charAt( strDomain.length - 1 ) == "." ) return false;

   for( i = 0; i < strDomain.length; i ++ )
   {
      cChar = strDomain.charAt( i );
      if( strValid.indexOf( cChar ) == - 1 ) return false;
      if( cChar == "." )
      {
         if( bLastIsDot ) return false;
         bLastIsDot = true;
         nDotCount ++ ;
      }
      else
      bLastIsDot = false;
      if((( "a" <= cChar ) && ( cChar <= "z" )) || (( "A" <= cChar ) && ( cChar <= "Z" )) )
      bFindAlpha = true;
   }

   if( bFindAlpha && ( 0 == nDotCount )) return false;
   return true;
}
